produceGEOPlatformFile {lumi} | R Documentation

## Produce GEO Platform Submission File in SOFT format

### Description

Produce GEO Sample Submission File in SOFT format based on the provided LumiBatch object and Illumina ID Mapping library

### Usage

    produceGEOPlatformFile(x.lumi, lib.mapping = NULL, nuIDMode = TRUE, includeAllChipProbe=FALSE, fileName = "GEOPlatformFile.txt")

### Arguments

`x.lumi` | The LumiBatch object keeping all probes
`lib.mapping` | The Illumina ID Mapping library, e.g., "lumiHumanIDMapping"
`nuIDMode` | Determine whether producing the platform indexed by nuID
`includeAllChipProbe` | Determine whether including all probes in the Manifest file or just the probes used in the x.lumi object
`fileName` | Filename of the GEO Platform File name

### Details

The function produces the GEO platform submission file based on the chip information kept in the Illumina ID Mapping library (specified by lib.mapping parameter). The determination of chip type will be automatically done by selecting the best matching of the probe IDs with individual chips.

### Value

Save the result as a text file in SOFT platform submission format.

### Author(s)

Pan Du

### References

http://www.ncbi.nlm.nih.gov/projects/geo/info/soft2.html

### See Also

`produceGEOSubmissionFile`

### Examples

    # data(example.lumi)
    # produceGEOPlatformFile(example.lumi, lib.mapping='lumiHumanIDMapping')

[Package lumi version 1.10.2 Index]